%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           jboss-metadata
Version:        8.0.0
Release:        5%{?dist}
Summary:        JBoss Metadata
License:        LGPLv2+
URL:            https://github.com/jboss/metadata
Source0:        https://github.com/jboss/metadata/archive/%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  dos2unix
BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.xml.bind:jaxb-impl)
#BuildRequires:  mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.ejb3:jboss-ejb3-ext-api)
BuildRequires:  mvn(org.jboss.logging:jboss-logging)
BuildRequires:  mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:  mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:  mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)

%description
This package contains JBoss Metadata for WildFly.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n metadata-%{namedversion}

# Fix the line ending in the license file:
dos2unix common/LICENSE.txt

# maven-checkstyle-plugin:2.12:checkstyle (check-style) on project jboss-metadata-common:
# An error has occurred in Checkstyle report generation. Failed during checkstyle configuration:
# cannot initialize module TreeWalker - Unable to instantiate RedundantThrows:
# Unable to instantiate RedundantThrowsCheck -> [Help 1]
%pom_remove_plugin :maven-checkstyle-plugin

%build
# Skip tests - no test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license common/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license common/LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 8.0.0-4
- fix FTBFS rhbz#1239600
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-1
- Upstream release 8.0.0.Final

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.4.Beta4
- Missing BR

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.3.Beta4
- Upstream release 8.0.0.Beta4

* Tue Jul 30 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.2.Beta2
- Upstream release 8.0.0.Beta2

* Wed Jun 05 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.1.Alpha3
- Upstream release 8.0.0.Alpha3
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 7.0.1-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Jul 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 7.0.1-3
- Added maven-enforcer-plugin build time dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 7.0.1-1
- Update to upstream version 7.0.1
- Cleanup of the spec file

* Wed Dec 14 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.0-0.1.Beta32
- Initial packaging

